Spindelbetriebsarten (S2)

1.1 EinleitungPAGEREF _Toc304471448 \h3

1.2 Beschreibung 3

1.2.1 SERCOS-Antrieb 3

1.2.2 Eigenschaften 3

1.3 Parameter 3

1.3.1 Übersicht 3

1.3.2 Beschreibung 3

Mehr:

button Einleitung

button Beschreibung

button Parameter


Einleitung

Randbedingung

Eine Spindel kann grundsätzlich positionsgeregelt oder geschwindigkeitsgesteuert betrieben werden. Die Betriebsart wird meist statisch festgelegt, wobei alle für die jeweilige Betriebsart notwendigen Parameter bei SERCOS-Antrieben im Antriebstelegramm konfiguriert sein müssen.

Im positionsgeregelten Modus (Lageregelung) ist bei SERCOS-Spindeln die Maximalgeschwindigkeit jedoch auf 180° pro Abtastzyklus begrenzt, da ansonsten der Antriebsregler die Drehrichtung nicht mehr aus der vorgegebenen Wegänderung eindeutig bestimmen kann. Bei einem Abtastzyklus von 2 ms ergibt dies z. B. eine Maximaldrehzahl von 15.000 U/min.

Funktionalität

Um auch höhere Geschwindigkeiten zu ermöglichen wird die Spindel bei reiner Drehzahlprogrammierung geschwindigkeitsgeregelt und bei Angabe einer Position lagegeregelt betrieben.

Ein Wechsel zwischen beiden Betriebsarten kann während der Bewegung automatisch erfolgen.

Das Umschalten und Rückschalten kann durch entsprechende Parameter vorgegeben werden.

Der Wechsel zwischen Lage- und Geschwindigkeitsregelung muss vom Antrieb grundsätzlich unterstützt werden.

Derzeit steht das automatische Umschalten durch die CNC nur für SERCOS-Antriebe zur Verfügung.

Programmierbeispiel

%spindle-position

N30 S200 M4

N40 M19 S.POS=180 S1000 M4

N50 S200 M3

N60 M19 S.POS=180 S1000 M4

N70 S200 M4

N80 M19 S.POS=180 S1000 M3

M30


Beschreibung

Mehr:

button SERCOS-Antrieb

button Eigenschaften


SERCOS-Antrieb

Parametrierung des Antriebs

Die Regelung findet bei digitalen Antrieben im Antrieb selbst statt. D.h. von der CNC werden pro Abtastintervall ein Positionssollwert / Geschwindigkeitssollwert für den Antrieb vorgegeben. Der aktuelle Istwert (Position und Geschwindigkeit) kann für Anzeigefunktionen und Überwachungen in der CNC genutzt werden.

Daneben wird die gewünschte Betriebsart zyklisch von der CNC an den Antrieb übertragen.

SERCOS Parameter

Folgende Parameter sind bei einem SERCOS-Antrieb wichtig für die Betriebsarten Lage-/Geschwindigkeitsregelung:

Hauptbetriebsart S-0-0032 = 3 (Lageistwert mit Geber 1)

· S-0-0051 Lageistwert (Geber 1) / S-0-0053 Lageistwert (Geber 2)

· S-0-0047 Lagesollwert

Nebenbetriebsart 1 S-0-0033 = 2 (Geschwindigkeitsregelung)

· S-0-0040 Geschwindigkeitswert

· S-0-0036 Geschwindigkeitssollwert

Zusätzlich zur Nebenbetriebsart 1 stehen weitere Nebenbetriebsarten 2 und 3 zur Verfügung.

Wichtig sind auch die Einstellungen zu den Wichtungsarten. Die Wichtung sollte bei Spindeln immer auf rotatorische Wichtung eingestellt sein:

· S-0-0076 Wichtungsart Lage ( Bit 2-0 )

· S-0-0044 Wichtungsart Geschwindigkeit ( Bit 2-0 )

· S-0-00160 Wichtungsart Beschleunigung ( Bit 2-0 )

Parameter:

(000) ungewichtet
(001) translatorische Wichtung
(010) rotatorische Wichtung


Eigenschaften

Umschalten auf Drehzahlregelung

Wird eine Geschwindigkeit (S-Wort) mit M3 oder M4 programmiert, welches höher als der vorgegebene Umschaltparameter ist, so wird automatisch auf Drehzahlregelung umgeschaltet.

Rückschalten auf Positionsregelung

Bei folgenden Bedingungen wird auf Lageregelung zurückgeschaltet:

· Ein Positioniervorgang mit M19 wurde programmiert.

· Ein CNC-Reset wurde ausgelöst.

· Die Spindelachse wurde aus dem Spindelinterpolator abgegeben (NC-Befehl S[PUTAX]).

Wurde durch eine vorhergehende Drehzahlprogrammierung bereits auf Geschwindigkeitsregelung umgeschaltet, so wird bei einer weiteren Programmierung einer Drehzahl, welche unterhalb der Rückschaltgeschwindigkeit liegt, nicht auf Lageregelung umgeschaltet.

Einfluss der
Rückschalt-geschwindigkeit

Während der Geschwindigkeitsregelung wird die Sollposition nicht berücksichtigt.

Beim Umschalten auf Positionsregelung ermittelt die CNC anhand der aktuellen Geschwindigkeit, dem Kv-Faktor des Antriebs und der Buslaufzeit die theoretischen Sollposition des nächsten Taktes. Somit kann ohne Stillstand der Achse auf Lageregelung zurückgeschaltet werden.

Die Rückschaltgeschwindigkeit gibt an, ab welcher Geschwindigkeit in Lageregelung zurückgeschaltet werden darf.

Da die Istgeschwindigkeit insbesondere bei höheren Geschwindigkeiten leichte Schwankungen vorweist, stellt man z.T. beim Rückschalten auf Lageregelung bei höheren Drehzahlen einen leichten Ruck im Antrieb fest.

Aus diesem Grunde sollte die Rückschaltgeschwindigkeit nicht zu hoch gewählt werden.

Programmierbeispiel

%spindle-position

N10 M03 S1000

N20 M19 S.POS=180 M04 S50

M30

Bild 0.1: Positioniervorgang mit vorgegebener Geschwindigkeit und Revertieren

Sonderfall

Liegt die Positioniergeschwindigkeit bei M19 oberhalb der Umschaltgeschwindigkeit, so erfolgt der Positioniervorgang dennoch im lagegeregelten Modus. Je nach zurückzulegender Wegschrecke kann also kurzfristig ober-halb der Umschaltgeschwindigkeit im lagegeregelten Modus gefahren werden.

Programmierbeispiel

%spindle-position

(antr.velocity_position_control_on 1200000 -> 200 U/min

(antr.velocity_position_control_off 600000 -> 100 U/min

N10 M04 S1000

N20 M19 S.POS=180 M04 S500

M30

Bild 0.2: Positioniervorgang mit 500 U/min trotz Umschaltgeschwindigkeit von 200 U/min


Parameter

Beispiel

Ab einer Geschwindigkeit von 200 U/min soll auf Drehzahregelung umgeschaltet werden. Ab 50 U/min darf die Rückschaltung erfolgen. Der Antrieb weist einen Kv-Faktor von 4000/min auf. Folgende Einstellungen in der Achsliste sind neben dem Antriebstelegramm notwendig.

# 0-main mode, 1-1st auxiliary, 2-2nd auxiliary, 3-3rd auxiliary

antr.sercos.op_mode_for_velocity_control 1

# [10-3Grad/s] -> 1200000 10-3Grad/s = 200 U/min

antr.velocity_position_control_on 1200000

# [10-3Grad/s] -> 300000 10-3Grad/s = 50 U/min

antr.velocity_position_control_off 300000

# default ist 1

antr.nbr_delay_cycles 4

# SERCOS-Kv : S-0-0104=4 [m/min/mm]=[1000/min]

# CNC Kv : [0.01/s]

getriebe[0].kv 6666

Mehr:

button Übersicht

button Beschreibung


Übersicht

ID | Parameter | Beschreibung
P-AXIS-00264 | antr.sercos.op_mode_for_velocity_control | Betriebsart für Geschwindigkeitsregelung
P-AXIS-00265 | antr.velocity_position_control_on | Umschaltgeschwindigkeit
P-AXIS-00266 | antr.velocity_position_control_off | Rückschaltgeschwindigkeit


Beschreibung

P-AXIS-00264 | Betriebsart für Geschwindigkeitsregelung
Parameter | antr.sercos.op_mode_for_velocity_control
Beschreibung | Da bei einem SERCOS-Antrieb mehrere Nebenbetriebsarten konfiguriert werden können, kann über diesen Parameter angegeben werden, auf welche Nebenbetriebsart bei der Geschwindigkeitsreglung umgeschaltet werden soll.
Datentyp | UNS16
Datenbereich | 0 ≤ P-AXIS-00264 ≤ 3 0 -> Hauptbetriebsart S-0-0032 1 -> Nebenbetriebsart 1, S-0-0033 2 -> Nebenbetriebsart 2, S-0-0034 3 -> Nebenbetriebsart 3, S-0-0035
Dimension | translatorisch: | rotatorisch:
Standardwert | 1 > Nebenbetriebsart 1
Anmerkungen | Für die Geschwindigkeitsregelung kann auch die Hauptbetriebsart verwendet werden.

P-AXIS-00265 | Umschaltgeschwindigkeit
Parameter | antr.velocity_position_control_on
Beschreibung | Wird ein Drehzahl vorgegeben, welche höher als die Umschaltgeschwindigkeit ist, so wird auf Drehzahlregelung umgeschaltet.
Datentyp | SGN32
Datenbereich | 0 ≤ P-AXIS-00265 ≤ 1000000000
Dimension | translatorisch: | rotatorisch: [10-3 Grad/s]
Standardwert | 1000000000 (SLOPE_VB_MAX , Funktion deaktiviert)
Anmerkungen | Es wird in die im Parameter P_AXIS-00264 (antr.sercos.op_mode_for_velocity_control) angegebene Betriebsart kommandiert.

P-AXIS-00266 | Rückschaltgeschwindigkeit
Parameter | antr.velocity_position_control_off
Beschreibung | Falls die aktuelle Drehzahl bei einem Positioniervorgang mit M19 höher als die Rückschaltgeschwindigkeit ist, so wird zunächst auf diese abgebremst bevor die Positionsregelung eingeschaltet wird.
Datentyp | SGN32
Datenbereich | 0 ≤ P-AXIS-00266 ≤ 1000000000
Dimension | translatorisch: | rotatorisch: [10-3 Grad/s]
Standardwert | 0
Anmerkungen | -